Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.encryption
Interface Serializer

All Known Implementing Classes:
  AbstractSerializer, DocumentSerializer, TransformSerializer

    public interface Serializer

Converts `String`s into `Node`s and visa versa.

Method Summary
`java.lang.String` | `canonSerialize(org.w3c.dom.Node node)` Deprecated.
`byte[]` | `canonSerializeToByteArray(org.w3c.dom.Node node)` Use the Canonicalizer to serialize the node
`org.w3c.dom.Node` | `deserialize(byte[] source, org.w3c.dom.Node ctx)`
`org.w3c.dom.Node` | `deserialize(java.lang.String source, org.w3c.dom.Node ctx)` Deprecated.
`java.lang.String` | `serialize(org.w3c.dom.Element element)` Deprecated.
`java.lang.String` | `serialize(org.w3c.dom.NodeList content)` Deprecated.
`byte[]` | `serializeToByteArray(org.w3c.dom.Element element)` Returns a `byte[]` representation of the specified `Element`.
`byte[]` | `serializeToByteArray(org.w3c.dom.NodeList content)` Returns a `byte[]` representation of the specified `NodeList`.
`void` | `setCanonicalizer(Canonicalizer canon)` Set the Canonicalizer object to use.

Method Detail

### setCanonicalizer

    void setCanonicalizer(Canonicalizer canon)

  Set the Canonicalizer object to use.

### serialize

    @Deprecated
    java.lang.String serialize(org.w3c.dom.Element element)
                               throws java.lang.Exception

  Deprecated.

  Returns a `String` representation of the specified `Element`.

  Parameters:
    `element` - the `Element` to serialize.
  Returns:
    the `String` representation of the serilaized `Element`.
  Throws:
    `java.lang.Exception`

### serializeToByteArray

    byte[] serializeToByteArray(org.w3c.dom.Element element)
                                throws java.lang.Exception

  Returns a `byte[]` representation of the specified `Element`.

  Parameters:
    `element` - the `Element` to serialize.
  Returns:
    the `byte[]` representation of the serilaized `Element`.
  Throws:
    `java.lang.Exception`

### serialize

    @Deprecated
    java.lang.String serialize(org.w3c.dom.NodeList content)
                               throws java.lang.Exception

  Deprecated.

  Returns a `String` representation of the specified `NodeList`.

  Parameters:
    `content` - the `NodeList` to serialize.
  Returns:
    the `String` representation of the serialized `NodeList`.
  Throws:
    `java.lang.Exception`

### serializeToByteArray

    byte[] serializeToByteArray(org.w3c.dom.NodeList content)
                                throws java.lang.Exception

  Returns a `byte[]` representation of the specified `NodeList`.

  Parameters:
    `content` - the `NodeList` to serialize.
  Returns:
    the `byte[]` representation of the serialized `NodeList`.
  Throws:
    `java.lang.Exception`

### canonSerialize

    @Deprecated
    java.lang.String canonSerialize(org.w3c.dom.Node node)
                                    throws java.lang.Exception

  Deprecated.

  Use the Canonicalizer to serialize the node

  Parameters:
    `node` -
  Returns:
    the canonicalization of the node
  Throws:
    `java.lang.Exception`

### canonSerializeToByteArray

    byte[] canonSerializeToByteArray(org.w3c.dom.Node node)
                                     throws java.lang.Exception

  Use the Canonicalizer to serialize the node

  Parameters:
    `node` -
  Returns:
    the (byte[]) canonicalization of the node
  Throws:
    `java.lang.Exception`

### deserialize

    @Deprecated
    org.w3c.dom.Node deserialize(java.lang.String source,
                                            org.w3c.dom.Node ctx)
                                 throws XMLEncryptionException

  Deprecated.

  Parameters:
    `source` -
    `ctx` -
  Returns:
    the Node resulting from the parse of the source
  Throws:
    `XMLEncryptionException`

### deserialize

    org.w3c.dom.Node deserialize(byte[] source,
                                 org.w3c.dom.Node ctx)
                                 throws XMLEncryptionException

  Parameters:
    `source` -
    `ctx` -
  Returns:
    the Node resulting from the parse of the source
  Throws:
    `XMLEncryptionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD